Name:           cycle
Version:        0.3.1
Release:        alt2_14
Summary:        Calendar program for women
Group:          Office
License:        GPLv2+
URL:            http://cycle.sourceforge.net
Source0: http://prdownloads.sourceforge.net/cycle/cycle-%{version}.tar.bz2
# the below file collects additions from the Debian package
# source for that could be Debian page of cycle package
# http://packages.debian.org/unstable/utils/cycle
Source1:        cycle-msg.tar.bz2
Source2:        cycle-export.png
Source3:        cycle.desktop
Patch:          cycle-build.patch.bz2
BuildArch:      noarch
Requires:       python-module-wx
BuildRequires:  python-devel >= 2.3 gettext desktop-file-utils
Source44: import.info

%description
Cycle is a calendar for women. Given a cycle length or statistics
for several periods, it can calculate the days until
menstruation, the days of "safe" sex, the fertile period, and the
days to ovulations, and define the d.o.b. of a child. It allows
the user to write notes and helps to supervise the administration
of hormonal contraceptive tablets.

Multiple users allowed. Data is protected by a password for every
user.

NOTE: This program is not a reliable contraceptive method. It
does neither help to prevent sexual transmision diseases like
AIDS. It is just an electronic means of keeping track of some of
your medical data and extract some statistical conclusions from
them. You cannot consider this program as a substitute for your
gynecologist in any way.

%description -l ru_RU.UTF-8
    Возможности программы:
- по заданной продолжительности цикла или по набранной статистике
  за несколько периодов спрогнозировать дни начала менструаций
- рассчитать дни "безопасного" секса, фертильный период и день овуляции
- определить дату рождения ребенка
- позволяет вести заметки
- помогает контролировать прием противозачаточных гормональных
  таблеток

%prep
%setup0 -q
%setup -D -a 1 -q
%patch -p1 -b .MC-build
rm README.Debian

%build
python setup.py build
make -C msg
#---- set_dir.py ----
cat >set_dir.py <<EOF
#generated from cycle.spec
msg_dir="%_datadir/locale"
doc_dir="%_docdir/%name-%version"
icons_dir="%_iconsdir"
bitmaps_dir="%_datadir/%name/bitmaps"
EOF

%install

# data files
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_datadir}/cycle/{pixmaps,bitmaps}
install -p -m a+r,u+w icons/cycle.xpm \
    $RPM_BUILD_ROOT%{_datadir}/cycle/pixmaps/
install -p -m a+r,u+w bitmaps/* $RPM_BUILD_ROOT%{_datadir}/cycle/bitmaps/
install -p -m a+r,u+w %{SOURCE2} \
    $RPM_BUILD_ROOT%{_datadir}/cycle/bitmaps/export.png
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_datadir}/cycle/icons/{large,mini}
cp -r -p icons/* $RPM_BUILD_ROOT%{_datadir}/cycle/icons/
install -p -m a+rx,u+w -d $RPM_BUILD_ROOT%{_datadir}/applications/
install -p -m a+r,u+w %{SOURCE3} \
    $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Python libraries
install -p -m a+rx,u+w cycle.py $RPM_BUILD_ROOT%{_datadir}/cycle/
install -p -m a+r,u+w cal_year.py dialogs.py p_rotor.py \
    save_load.py set_dir.py \
    $RPM_BUILD_ROOT%{_datadir}/cycle/

# cycle binary
install -p -m a+rx,u+w -d $RPM_BUILD_ROOT%{_bindir}
ln -sf ../share/cycle/cycle.py $RPM_BUILD_ROOT%{_bindir}/cycle
make -C msg install DESTDIR=$RPM_BUILD_ROOT%{_datadir}/

# manpage
install -p -m a+rx,u+w -d \
    $RPM_BUILD_ROOT%{_mandir}/man1/
install -p -m a+r,u+w cycle.1 $RPM_BUILD_ROOT%{_mandir}/man1/

desktop-file-install \
--dir $RPM_BUILD_ROOT%{_datadir}/applications \
--delete-original \
$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name} || touch %{name}.lang

%files -f %{name}.lang
%{_bindir}/cycle
%doc README* COPYRIGHT CHANGELOG THANKS
%{_datadir}/cycle/
%{_datadir}/applications/cycle.desktop
%{_mandir}/man1/cycle*


%changelog
* Tue Feb 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt2_14
- update to new release by fcimport

* Tue Jan 29 2013 Cronbuild Service <cronbuild@altlinux.org> 0.3.1-alt2_13
- rebuild to get rid of unmets

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_13
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 0.3.1-alt1_12
- fc import

